Types

Kinds of work package (task, bug, milestone…).

MethodPathSummary
GET/v1/app/project/projects/:id/typesList a project's work-package types
POST/v1/app/project/projects/:id/typesCreate a work-package type
PATCH/v1/app/project/projects/:id/types/:typeIdUpdate a work-package type
DELETE/v1/app/project/projects/:id/types/:typeIdDelete a work-package type

#List a project's work-package types

GET/v1/app/project/projects/:id/types

List a project's work-package types. Requires at least viewer role on the project.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/types
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger

Response 200

FieldTypeDescription
typesarray of object
types[].idinteger
types[].project_idinteger
types[].namestring
types[].colorstring
types[].iconstring
types[].is_milestoneboolean
types[].positioninteger
types[].created_atstring (date-time)
Example response
JSON
{
  "types": [
    {
      "id": 42,
      "project_id": 7,
      "name": "Example name",
      "color": "#2563eb",
      "icon": "string",
      "is_milestone": true,
      "position": 1,
      "created_at": "2026-11-12T09:30:00.000Z"
    }
  ]
}

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/types' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Create a work-package type

POST/v1/app/project/projects/:id/types

Create a work-package type. Requires at least admin role on the project. Appended to the end of the type list.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/types
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger

Request body JSON

NameTypeDescription
namerequiredstring
colorrequiredany
iconany
is_milestoneboolean

Response 201

FieldTypeDescription
typestring
Example response
JSON
{
  "type": "string"
}

Errors

StatusMessage
400name is required
400color must be a #rrggbb hex value

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/types' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Example name","color":"…","icon":"…","is_milestone":true}'

#Update a work-package type

PATCH/v1/app/project/projects/:id/types/:typeId

Update a work-package type. Requires at least admin role on the project.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/types/:typeId
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger
typeIdrequiredinteger

Request body JSON

NameTypeDescription
namestring
colorrequiredany
iconany
is_milestoneboolean
positioninteger

Response 200

FieldTypeDescription
typestring
Example response
JSON
{
  "type": "string"
}

Errors

StatusMessage
400color must be a #rrggbb hex value

Example request

Bash
curl -X PATCH 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/types/1' \
  -H "X-API-Key: $BRAMBLE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Example name","color":"…","icon":"…","is_milestone":true,"position":1}'

#Delete a work-package type

DELETE/v1/app/project/projects/:id/types/:typeId

Delete a work-package type. Requires at least admin role on the project. Refused if any non-deleted work package still uses this type.

Address
https://<your-org>.brambleit.cloud/api/v1/app/project/projects/:id/types/:typeId
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: Projects.

Path parameters

NameTypeDescription
idrequiredinteger
typeIdrequiredinteger

Response 200

FieldTypeDescription
okboolean
Example response
JSON
{
  "ok": true
}

Errors

StatusMessage
409Re-type or delete work packages using this type first

Example request

Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/app/project/projects/42/types/1' \
  -H "X-API-Key: $BRAMBLE_KEY"